Segment Config
You need the Manage Settings permission to manage segment config.
Segment Config- Segment Config ManageGET livechat/segmentConfig- Get a single Segment ConfigPOST livechat/segmentConfig:disable- Disable the Segment ConfigPOST livechat/segmentConfig:enable- Enable the Segment Config
Segment Config JSON Format
Segment Config is represented as simple flat JSON objects with the following keys:
| Name | Type | Description |
|---|---|---|
isEnabled |
bool | Whether segment config is enabled or not. |
Get a single Segment Config
GET livechat/segmentConfig
-
Parameters:
No Parameters
-
Response:
-
Example
Sample Request:
curl https://api11.comm100.io/v4/livechat/segmentConfig \
-X 'GET' \
-H 'Authorization: Bearer {access_token}' \
Response:
HTTP/1.1 200 OK
{
"isEnabled": true
}
Disable the Segment Config
POST livechat/segmentConfig:disable
-
Parameters:
No Parameters
-
Response:
-
Example
Sample Request:
curl https://api11.comm100.io/v4/livechat/segmentConfig:disable \
-X 'POST' \
-H 'Authorization: Bearer {access_token}' \
Response:
HTTP/1.1 200 OK
{
"isEnabled": false
}
Enable the Segment Config
POST livechat/segmentConfig:enable
-
Parameters:
No Parameters
-
Response:
-
Example
Sample Request:
curl https://api11.comm100.io/v4/livechat/segmentConfig:enable \
-X 'POST' \
-H 'Authorization: Bearer {access_token}' \
Response:
HTTP/1.1 200 OK
{
"isEnabled": true
}